Search found 4214 matches

Go to advanced search

by openBrain
Tue Jul 07, 2020 2:34 pm
Forum: Developers corner
Topic: add and close a separate dock widget
Replies: 9
Views: 216

Re: add and close a separate dock widget

Add the DeleteOnClose attribute so the DockWidget is deleted on close (but not only just hidden) :

Code: Select all

d.setAttribute(QtCore.Qt.WA_DeleteOnClose, True)
by openBrain
Mon Jul 06, 2020 6:45 pm
Forum: Python scripting and macros
Topic: Pointer at global center of mass?
Replies: 6
Views: 326

Re: Pointer at global center of mass?

import FreeCAD as App import FreeCADGui as Gui import Part from PySide2 import QtWidgets class MyMsgBox(QtWidgets.QDialog): """This function defines a custom message box with a scrollable text edit to display message The displayed text can be get/set with the 'content' property""" def __init__(self...
by openBrain
Sat Jul 04, 2020 2:42 pm
Forum: Open discussion
Topic: New bug (I guess)
Replies: 18
Views: 335

Re: New bug (I guess)

If the compiler is going to give an error when I'm going to use symmetry function is there any other function I can use like equidistancy? The best solution is to keep your symmetry but remove the horizontal constraint. You can check the "Auto remove redundant" option so the solver will do it for y...
by openBrain
Sat Jul 04, 2020 2:05 pm
Forum: Open discussion
Topic: New bug (I guess)
Replies: 18
Views: 335

Re: New bug (I guess)

The problem is that the symmetry forces the top line to be horizontal, but there is already a horizontal constraint automatically inserted by the rectangle tool. I am not sure if this is intentional or not. Probably abdulla would know, if someone else doesn't know the answer I will contact him and ...
by openBrain
Sat Jul 04, 2020 1:54 pm
Forum: Open discussion
Topic: New bug (I guess)
Replies: 18
Views: 335

Re: New bug (I guess)

Please attach your file.
Can you reproduce with FreeCAD 0.19?
by openBrain
Sat Jul 04, 2020 1:51 pm
Forum: Help on using FreeCAD
Topic: Creating prism knowing inner circle radius
Replies: 7
Views: 223

Re: Creating prism knowing inner circle radius

I don't really understand. You just have to add the inner circle in Sketcher (center coincident with inner circle + tangent with one of the edges).
Use the inner circle to constrain and let the outer one unconstrained.
by openBrain
Sat Jul 04, 2020 8:00 am
Forum: Python scripting and macros
Topic: Pointer at global center of mass?
Replies: 6
Views: 326

Re: Pointer at global center of mass?

What grid are you talking about ?
You can add a point with

Code: Select all

App.ActiveDocument.addObject("Part::Vertex","Vertex")
Then you can either use its X/Y/Z properties, or its Placement property to move it where you want.
by openBrain
Sat Jul 04, 2020 7:54 am
Forum: Forum français
Topic: [RESOLU] - "Fonction "Soustraction"
Replies: 9
Views: 245

Re: "Fonction "Soustraction"

La fonction 'Cut001' dans ton modèle est correcte. Par contre il y a des liens improbables de placement sur Sketch par rapport à une fonction d'un autre Body (Thickness). Ca empêche FreeCAD de recalculer le modèle. Il faudrait reprendre le modèle pour utiliser uniquement les plans de référence des B...
by openBrain
Sat Jul 04, 2020 5:57 am
Forum: Help on using FreeCAD
Topic: Trying to add a chamfer to a model
Replies: 5
Views: 160

Re: Trying to add a chamfer to a model

This is clear from the Dependency Graph. You have a Part/Chamfer applied on the PartDesign/Pocket. You should either : Apply a PartDesign/Chamfer on the Pocket (in this case the chamfer is part of the Body) Set the Display Mode of the Body to 'Tip' then you can apply the Part/Chamfer (in this case y...

Go to advanced search